Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderPoolImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.OrderPoolImpl

All Implemented Interfaces
  OrderPool, Pool

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderPoolImpl

extends Object
implements OrderPool

Represents a collection of PoolObject(s). The ItemPoolImpl interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static int` | `LONG` Deprecated See BEA Commerce product offering
`static int` | `SHORT` Deprecated See BEA Commerce product offering

Constructor Summary
`OrderPoolImpl()` Deprecated See BEA Commerce product offering
`OrderPoolImpl(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated See BEA Commerce product offering

Method Summary
`void` | `adjust(List poolObjects, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`OrderQuery` | `getByPrice(OrderQuery aQuery)` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`int` | `getCurrentSize()` Deprecated See BEA Commerce product offering
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)` Deprecated See BEA Commerce product offering
`Quote` | `getQuote()` Deprecated See BEA Commerce product offering
`void` | `remove(Iterator poolObjects)` Deprecated See BEA Commerce product offering
`void` | `remove(PoolObject anObject)` Deprecated See BEA Commerce product offering
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`String` | `toString(int type)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SHORT

    public static final int SHORT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### LONG

    public static final int LONG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### OrderPoolImpl

    public OrderPoolImpl()

  Deprecated See BEA Commerce product offering

### OrderPoolImpl

    public OrderPoolImpl(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                         Quote quote)

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)

  Deprecated See BEA Commerce product offering

  Specified by:
    `set` in interface `OrderPool`

### getCurrentSize

    public int getCurrentSize()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getCurrentSize` in interface `OrderPool`

### getQuote

    public Quote getQuote()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getQuote` in interface `OrderPool`

### getCurrency

    public String getCurrency()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getCurrency` in interface `Pool`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      String computation,
                                      String reason,
                                      Object discountID)

  Deprecated See BEA Commerce product offering

  Specified by:
    `getDetail` in interface `Pool`

### getByPrice

    public OrderQuery getByPrice(OrderQuery aQuery)

  Deprecated See BEA Commerce product offering

  Perform the query as specified by the query object passed in and return the query object with the results added. If the query is satisfied the list of reply sets must have a 1 to 1 correspondence between each query spec for the qualifier or target.

  Specified by:
    `getByPrice` in interface `OrderPool`

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

  Adjust the price of a `PoolObject` as specified in the `AdjustmentDetail`.

  Specified by:
    `adjust` in interface `Pool`
  Parameters
    `object` - the `PoolObject` to adjust the price of.
    `aDetail` - the `AdjustmentDetail` to apply to the object.

### adjust

    public void adjust(List poolObjects,
                       AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

  Adjust the price of a `List` of `PoolObject` as specified in the `AdjustmentDetail`.

  Specified by:
    `adjust` in interface `Pool`
  Parameters
    `poolObject` - a `List` of `PoolObject`s to adjust.
    `aDetail` - the `AdjustmentDetail` to apply to the objects.

### remove

    public void remove(PoolObject anObject)

  Deprecated See BEA Commerce product offering

  Specified by:
    `remove` in interface `Pool`
  Parameters
    `OrderObject` - the object to be removed from the collection.
  See Also
    `OrderObject`

### remove

    public void remove(Iterator poolObjects)

  Deprecated See BEA Commerce product offering

  Specified by:
    `remove` in interface `Pool`
  Parameters
    `List` - a set of PoolObjects to be removed from the collection.
  See Also
    `PoolObject`

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(int type)

  Deprecated See BEA Commerce product offering

  Specified by:
    `toString` in interface `OrderPool`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved